Skip to content

Export user profile by segment

post

/users/export/segment

Use this endpoint to export all the users within a segment.

User data is exported as multiple files of user JSON objects separated by new lines (such as one JSON object per line). Data is exported to an automatically generated URL or to an S3 bucket if this integration is already set up.

Note that a company may run at most one export per segment using this endpoint at a given time. Wait for your export to complete before trying again.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/assets/api/openapi/export_user_data_post_users_segment.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!